summaryrefslogtreecommitdiff
path: root/debian/tests/run-tests
diff options
context:
space:
mode:
authorJulian Andres Klode <jak@debian.org>2016-08-10 16:19:00 +0200
committerJulian Andres Klode <jak@debian.org>2016-08-10 16:19:00 +0200
commite02c3a9ec2b2f7a8d4aecd70f2ecdae27c207aa9 (patch)
treeffa99f96949f3eab728a1b8caecdd014ea8d6f81 /debian/tests/run-tests
parentb2cfacf1180e4b3fcbb2ae2ea52cf270ef74e971 (diff)
parent61fef4ddbec8f70bb9e213ac0491d4e6cfefab30 (diff)
Merge branch 'cmake'
Diffstat (limited to 'debian/tests/run-tests')
-rw-r--r--debian/tests/run-tests12
1 files changed, 7 insertions, 5 deletions
diff --git a/debian/tests/run-tests b/debian/tests/run-tests
index e33992b28..277594108 100644
--- a/debian/tests/run-tests
+++ b/debian/tests/run-tests
@@ -2,22 +2,24 @@
set -e
-# we need the buildin webserver for the tests
-if [ ! -e environment.mak ]; then
- make startup
+if [ ! -e build/CMakeCache.txt ]; then
+ mkdir build || true
+ ( cd build && cmake .. )
fi
-make -C test/interactive-helper/
+
+make -C build/test/interactive-helper
# run tests against the installed apt, use "env -i" to ensure
# the host env does not pollute our environment
env -i \
APT_INTEGRATION_TESTS_SOURCE_DIR=$(pwd) \
-APT_INTEGRATION_TESTS_WEBSERVER_BIN_DIR=$(pwd)/build/bin \
+APT_INTEGRATION_TESTS_WEBSERVER_BIN_DIR=$(pwd)/build/test/interactive-helper \
APT_INTEGRATION_TESTS_METHODS_DIR=/usr/lib/apt/methods \
APT_INTEGRATION_TESTS_LIBEXEC_DIR=/usr/lib/apt/ \
APT_INTEGRATION_TESTS_INTERNAL_SOLVER=/usr/lib/apt/solvers/apt \
APT_INTEGRATION_TESTS_DUMP_SOLVER=/usr/lib/apt/solvers/dump \
APT_INTEGRATION_TESTS_INTERNAL_PLANNER=/usr/lib/apt/planners/apt \
APT_INTEGRATION_TESTS_BUILD_DIR=/usr/bin \
+APT_INTEGRATION_TESTS_FTPARCHIVE_BIN_DIR=/usr/bin \
APT_INTEGRATION_TESTS_LIBRARY_PATH=/dev/null/does/not/exist \
./test/integration/run-tests -q